JavaScript/jQuery Tabs - Keyboard Support

An end user can use the following keys to interact with the UI component.

Key Action
← ↑ or PageUp Moves focus to the previous tab.
→ ↓ or PageDown Moves focus to the next tab.
Home Moves focus to the first tab.
End Moves focus to the last tab.
Enter or Space Selects the tab. Available only if selectionMode is set to 'multiple'.
Shift + Mouse Wheel Scrolls the tabs left/right if the scrollingEnabled property is true.

You can implement a custom handler for a key using the registerKeyHandler(key, handler) method.

JavaScript
  • function registerKeyHandlers () {
  • const tabs = $("#tabsContainer").dxTabs("instance");
  • tabs.registerKeyHandler("backspace", function(e) {
  • // The argument "e" contains information on the event
  • });
  • tabs.registerKeyHandler("space", function(e) {
  • // ...
  • });
  • }
See Also

React Tabs - Keyboard Support

An end user can use the following keys to interact with the UI component.

Key Action
← ↑ or PageUp Moves focus to the previous tab.
→ ↓ or PageDown Moves focus to the next tab.
Home Moves focus to the first tab.
End Moves focus to the last tab.
Enter or Space Selects the tab. Available only if selectionMode is set to 'multiple'.
Shift + Mouse Wheel Scrolls the tabs left/right if the scrollingEnabled property is true.

You can implement a custom handler for a key using the registerKeyHandler(key, handler) method.

App.js
  • import React from 'react';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { Tabs } from 'devextreme-react/tabs';
  •  
  • class App extends React.Component {
  • constructor(props) {
  • super(props);
  •  
  • this.tabsRef = React.createRef();
  • }
  •  
  • render() {
  • return (
  • <Tabs ref={this.tabsRef} />
  • );
  • }
  •  
  • get tabs() {
  • return this.tabsRef.current.instance;
  • }
  •  
  • componentDidMount() {
  • this.tabs.registerKeyHandler('backspace', function(e) {
  • // The argument "e" contains information on the event
  • });
  • this.tabs.registerKeyHandler('space', function(e) {
  • // ...
  • });
  • }
  • }
  •  
  • export default App;
See Also